## BtMachinePropertiesDialog BtMachinePropertiesDialog — machine realtime parameters |

## Functions

BtMachinePropertiesDialog * | bt_machine_properties_dialog_new ()

## Properties

BtMachine * | machine | Write / Construct Only

## Types and Values

struct | BtMachinePropertiesDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── BtMachinePropertiesDialog

## Implemented Interfaces

BtMachinePropertiesDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to configure dynamic settings of a BtMachine. The dialog also allows to editing and manage presets for machines that support them.

The song remembers the open/close state of the window and its preset pane. It also remembers the last loaded preset if any.

## Functions

### bt_machine_properties_dialog_new ()

    BtMachinePropertiesDialog *
    bt_machine_properties_dialog_new (const BtMachine *machine);

Create a new instance

#### Parameters

machine | the machine to create the dialog for |

#### Returns

the new instance

## Types and Values

### struct BtMachinePropertiesDialog

    struct BtMachinePropertiesDialog;

the root window for the editor application

## Property Details

### The `“machine”` property

      “machine”                  BtMachine *

Set machine object, the dialog handles.

Flags: Write / Construct Only

## See Also

BtMachine